org.apache.hc.core5.http.impl.io

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.DefaultHttpResponseParserFactory

- All Implemented Interfaces:
    HttpMessageParserFactory<ClassicHttpResponse>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpResponseParserFactory
      extends Object
      implements HttpMessageParserFactory<ClassicHttpResponse>

  Default factory for response message parsers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpResponseParserFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseParserFactory()`
    `DefaultHttpResponseParserFactory(Http1Config http1Config)`
    `DefaultHttpResponseParserFactory(Http1Config http1Config, LineParser lineParser, HttpResponseFactory<ClassicHttpResponse> responseFactory)`
    `DefaultHttpResponseParserFactory(LineParser lineParser, HttpResponseFactory<ClassicHttpResponse> responseFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMessageParser<ClassicHttpResponse>` | `create()`
    `HttpMessageParser<ClassicHttpResponse>` | `create(Http1Config http1Config)` Deprecated. Use `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpResponseParserFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(Http1Config http1Config,
                                                  LineParser lineParser,
                                                  HttpResponseFactory<ClassicHttpResponse> responseFactory)

      Since:
        5.3

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(LineParser lineParser,
                                                  HttpResponseFactory<ClassicHttpResponse> responseFactory)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(Http1Config http1Config)

      Since:
        5.3

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory()

  - ### Method Detail

    - #### create

          @Deprecated
          public HttpMessageParser<ClassicHttpResponse> create(Http1Config http1Config)

      Deprecated. Use `create()`
      Specified by:
        `create` in interface `HttpMessageParserFactory<ClassicHttpResponse>`

    - #### create

          public HttpMessageParser<ClassicHttpResponse> create()

      Specified by:
        `create` in interface `HttpMessageParserFactory<ClassicHttpResponse>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.